Skip to main content
POST
/
carts
/
{cartId}
/
payfast
/
identifier
Generate PayFast Checkout Identifier
curl --request POST \
  --url https://api.marzipan.co/v1/carts/{cartId}/payfast/identifier \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.marzipan.co/v1/carts/{cartId}/payfast/identifier"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.marzipan.co/v1/carts/{cartId}/payfast/identifier', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "mode": "onsite",
  "identifier": "01ab23cd45ef67ab89cd01ef23ab45cd",
  "engineUrl": "https://www.payfast.co.za/onsite/engine.js"
}
{
"error": "Cart is missing required billing information"
}
{
"message": "No query results for model [Cart]."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your API token.

Path Parameters

cartId
string<uuid>
required

The unique identifier for the cart

Response

A PayFast checkout was generated. The mode field indicates whether to open the onsite modal or redirect the customer.

mode
enum<string>

Which checkout flow to use.

Available options:
onsite,
redirect
identifier
string

The PayFast onsite payment identifier (present when mode is onsite).

engineUrl
string<uri>

The PayFast onsite engine script URL (present when mode is onsite).

redirectUrl
string<uri>

The PayFast redirect checkout URL (present when mode is redirect).